Results 1 to 2 of 2

Thread: Installation on Amazon Linux AMI

  1. #1
    Join Date
    Oct 2013
    Posts
    1
    Rep Power
    1

    Default Installation on Amazon Linux AMI

    I am responsible for deploying a new mail server for my company. The Amazon Linux AMI has been chosen for our medium instance, and we'd like to have Zimbra running there. I realize that OS isn't on the official support OS list, but my predecessor got as far as getting 8.0.4 running there, but I blew it up when trying to install 8.0.5 via upgrade. This isn't too critical since the server isn't live yet, but the initial install is gone.

    My question is, can it be done? Is there some magic to making the installer successfully run that my predecessor knew that I don't? I'm running "Linux www.blah.com 3.4.62-53.42.amzn1.x86_64 #1 SMP Fri Sep 20 07:23:24 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux". I've yum update'd to the latest of everything, but neither 8.0.5 nor 8.0.4 will install. I run it with --platform-override and it starts to run, but as soon as it starts unpacking RPMs, it just fails. The install logs have been less than helpful, simply indicating the last RPM successfully installed (usually just 2). It does not always fail on the same one, either. I can fail on zimbra-store, or zimbra-logger, depending on what I have installed.

    Whatever information I can provide to try and resolve this, I'm happy to do. Incidentally, I completely cleaned the server using these instructions after the failed upgrade: UnInstalling Zimbra on Linux - Zimbra :: Wiki.

    Wes Keene

  2. #2
    Join Date
    Sep 2011
    Posts
    2
    Rep Power
    4

    Default

    Hi Wes,

    I can confirm that I have been running Zimbra on Amazon Linux successfully right up until version 8.0.5

    Just today I attempted an upgrade to 8.0.6 after doing a full yum update on the system. It failed, and I was forced to restore from backups. I am going to say that there is most likely a package in the recent updates that is conflicting with the Zimbra RPM's. I continue to get conflict errors when attempting the upgrade to 8.0.6, usually on the logger. If I skip installation of the logger, it will conflict on the store. And so on.

    Has anyone come across this issue? I know Amazon Linux is not supported, but it has run all versions of Zimbra flawlessly up until now.

    Thanks
    Last edited by fire555; 01-01-2014 at 01:01 PM.

Similar Threads

  1. Headless installation on amazon cloud instance questions...
    By ecommunities in forum Installation
    Replies: 6
    Last Post: 06-06-2013, 02:27 AM
  2. [SOLVED] [ZD 2.0 Beta Linux ] Installation on F12
    By nyjetshead in forum Installation Help
    Replies: 10
    Last Post: 03-14-2010, 07:28 AM
  3. Installation of Zimbra on Amazon EC2
    By trident4172 in forum Installation
    Replies: 14
    Last Post: 12-08-2009, 10:07 AM
  4. Same installation in Windows and Linux?
    By krabina in forum Installation Help
    Replies: 0
    Last Post: 11-05-2009, 11:08 AM
  5. New to Linux - Zimbra Installation trouble on FC3
    By Jaymate in forum Installation
    Replies: 18
    Last Post: 10-26-2005, 06:17 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •